interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      Content-type:
      - application/json
      PRIVATE-TOKEN:
      - gySnkuzLBziyxdSBHNBy
      User-Agent:
      - python-gitlab/2.6.0
    method: GET
    uri: http://127.0.0.1:3000/api/v4/projects/test%2Ftest_from_raw
  response:
    body:
      string: '{"id":24,"description":"","name":"test_from_raw","name_with_namespace":"test
        / test_from_raw","path":"test_from_raw","path_with_namespace":"test/test_from_raw","created_at":"2021-05-12T18:30:10.429Z","default_branch":null,"tag_list":[],"ssh_url_to_repo":"ssh://mathieu@127.0.0.1:2222/test/test_from_raw.git","http_url_to_repo":"http://127.0.0.1:3000/test/test_from_raw.git","web_url":"http://127.0.0.1:3000/test/test_from_raw","readme_url":null,"avatar_url":null,"forks_count":0,"star_count":0,"last_activity_at":"2021-05-12T18:30:10.429Z","namespace":{"id":109,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null,"avatar_url":null,"web_url":"http://127.0.0.1:3000/groups/test"},"_links":{"self":"http://127.0.0.1:3000/api/v4/projects/24","issues":"http://127.0.0.1:3000/api/v4/projects/24/issues","merge_requests":"http://127.0.0.1:3000/api/v4/projects/24/merge_requests","repo_branches":"http://127.0.0.1:3000/api/v4/projects/24/repository/branches","labels":"http://127.0.0.1:3000/api/v4/projects/24/labels","events":"http://127.0.0.1:3000/api/v4/projects/24/events","members":"http://127.0.0.1:3000/api/v4/projects/24/members"},"packages_enabled":true,"empty_repo":true,"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":true,"container_expiration_policy":{"cadence":"1d","enabled":false,"keep_n":10,"older_than":"90d","name_regex":".*","name_regex_keep":null,"next_run_at":"2021-05-13T18:30:10.536Z"},"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"service_desk_enabled":false,"service_desk_address":null,"can_create_merge_request_in":true,"issues_access_level":"enabled","repository_access_level":"enabled","merge_requests_access_level":"enabled","forking_access_level":"enabled","wiki_access_level":"enabled","builds_access_level":"enabled","snippets_access_level":"enabled","pages_access_level":"private","operations_access_level":"enabled","analytics_access_level":"enabled","emails_disabled":null,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"unzXv5zpPdxxYan-Zfhw","ci_default_git_depth":50,"ci_forward_deployment_enabled":true,"public_jobs":true,"build_git_strategy":"fetch","build_timeout":3600,"auto_cancel_pending_pipelines":"enabled","build_coverage_regex":null,"ci_config_path":null,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"allow_merge_on_skipped_pipeline":null,"restrict_user_defined_variables":false,"request_access_enabled":true,"only_allow_merge_if_all_discussions_are_resolved":false,"remove_source_branch_after_merge":true,"printing_merge_request_link_enabled":true,"merge_method":"merge","suggestion_commit_message":null,"auto_devops_enabled":true,"auto_devops_deploy_strategy":"continuous","autoclose_referenced_issues":true,"repository_storage":"default","requirements_enabled":null,"security_and_compliance_enabled":true,"compliance_frameworks":[],"permissions":{"project_access":null,"group_access":{"access_level":50,"notification_level":3}}}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Type:
      - application/json
      Date:
      - Sat, 15 May 2021 20:40:57 GMT
      Etag:
      - W/"0eb44a8206ef3f565d120851658a040d"
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - projects
      X-Request-Id:
      - 01F5RW57S3EJ4C5JS837B2D6AM
      X-Runtime:
      - '6.371228'
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.25.1
    method: HEAD
    uri: https://download.docker.com/linux/debian/gpg
  response:
    body:
      string: ''
    headers:
      Age:
      - '96714'
      Connection:
      - keep-alive
      Content-Length:
      - '3817'
      Content-Type:
      - binary/octet-stream
      Date:
      - Sat, 15 May 2021 01:45:57 GMT
      ETag:
      - '"1afae06b34a13c1b3d9cb61a26285a15"'
      Last-Modified:
      - Tue, 28 Jul 2020 11:56:14 GMT
      Server:
      - AmazonS3
      Via:
      - 1.1 01e7df96c01c9ecdb1cce1b6595ae261.cloudfront.net (CloudFront)
      X-Amz-Cf-Id:
      - oOmhbLN79F6s0gakitNWCX2CfiZGMp8sNc5mpuznx3ahEc_9AJcuhg==
      X-Amz-Cf-Pop:
      - CDG53-C1
      X-Cache:
      - Hit from cloudfront
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOmd5U25rdXpMQnppeXhkU0JITkJ5
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.25.1
    method: HEAD
    uri: http://127.0.0.1:3000/api/v4/projects/test%2Ftest_from_raw/packages/generic/unknown/0/gpg
  response:
    body:
      string: ''
    headers:
      Cache-Control:
      - no-cache
      Content-Type:
      - application/json
      Date:
      - Sat, 15 May 2021 20:40:57 GMT
      Vary:
      - Origin
      X-Request-Id:
      - 01F5RW5ECDXZP9D8HV152YQ6T4
      X-Runtime:
      - '0.382869'
    status:
      code: 404
      message: Not Found
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.25.1
    method: GET
    uri: https://download.docker.com/linux/debian/gpg
  response:
    body:
      string: '-----BEGIN PGP PUBLIC KEY BLOCK-----


        mQINBFit2ioBEADhWpZ8/wvZ6hUTiXOwQHXMAlaFHcPH9hAtr4F1y2+OYdbtMuth

        lqqwp028AqyY+PRfVMtSYMbjuQuu5byyKR01BbqYhuS3jtqQmljZ/bJvXqnmiVXh

        38UuLa+z077PxyxQhu5BbqntTPQMfiyqEiU+BKbq2WmANUKQf+1AmZY/IruOXbnq

        L4C1+gJ8vfmXQt99npCaxEjaNRVYfOS8QcixNzHUYnb6emjlANyEVlZzeqo7XKl7

        UrwV5inawTSzWNvtjEjj4nJL8NsLwscpLPQUhTQ+7BbQXAwAmeHCUTQIvvWXqw0N

        cmhh4HgeQscQHYgOJjjDVfoY5MucvglbIgCqfzAHW9jxmRL4qbMZj+b1XoePEtht

        ku4bIQN1X5P07fNWzlgaRL5Z4POXDDZTlIQ/El58j9kp4bnWRCJW0lya+f8ocodo

        vZZ+Doi+fy4D5ZGrL4XEcIQP/Lv5uFyf+kQtl/94VFYVJOleAv8W92KdgDkhTcTD

        G7c0tIkVEKNUq48b3aQ64NOZQW7fVjfoKwEZdOqPE72Pa45jrZzvUFxSpdiNk2tZ

        XYukHjlxxEgBdC/J3cMMNRE1F4NCA3ApfV1Y7/hTeOnmDuDYwr9/obA8t016Yljj

        q5rdkywPf4JF8mXUW5eCN1vAFHxeg9ZWemhBtQmGxXnw9M+z6hWwc6ahmwARAQAB

        tCtEb2NrZXIgUmVsZWFzZSAoQ0UgZGViKSA8ZG9ja2VyQGRvY2tlci5jb20+iQI3

        BBMBCgAhBQJYrefAAhsvBQsJCAcDBRUKCQgLBRYCAwEAAh4BAheAAAoJEI2BgDwO

        v82IsskP/iQZo68flDQmNvn8X5XTd6RRaUH33kXYXquT6NkHJciS7E2gTJmqvMqd

        tI4mNYHCSEYxI5qrcYV5YqX9P6+Ko+vozo4nseUQLPH/ATQ4qL0Zok+1jkag3Lgk

        jonyUf9bwtWxFp05HC3GMHPhhcUSexCxQLQvnFWXD2sWLKivHp2fT8QbRGeZ+d3m

        6fqcd5Fu7pxsqm0EUDK5NL+nPIgYhN+auTrhgzhK1CShfGccM/wfRlei9Utz6p9P

        XRKIlWnXtT4qNGZNTN0tR+NLG/6Bqd8OYBaFAUcue/w1VW6JQ2VGYZHnZu9S8LMc

        FYBa5Ig9PxwGQOgq6RDKDbV+PqTQT5EFMeR1mrjckk4DQJjbxeMZbiNMG5kGECA8

        g383P3elhn03WGbEEa4MNc3Z4+7c236QI3xWJfNPdUbXRaAwhy/6rTSFbzwKB0Jm

        ebwzQfwjQY6f55MiI/RqDCyuPj3r3jyVRkK86pQKBAJwFHyqj9KaKXMZjfVnowLh

        9svIGfNbGHpucATqREvUHuQbNnqkCx8VVhtYkhDb9fEP2xBu5VvHbR+3nfVhMut5

        G34Ct5RS7Jt6LIfFdtcn8CaSas/l1HbiGeRgc70X/9aYx/V/CEJv0lIe8gP6uDoW

        FPIZ7d6vH+Vro6xuWEGiuMaiznap2KhZmpkgfupyFmplh0s6knymuQINBFit2ioB

        EADneL9S9m4vhU3blaRjVUUyJ7b/qTjcSylvCH5XUE6R2k+ckEZjfAMZPLpO+/tF

        M2JIJMD4SifKuS3xck9KtZGCufGmcwiLQRzeHF7vJUKrLD5RTkNi23ydvWZgPjtx

        Q+DTT1Zcn7BrQFY6FgnRoUVIxwtdw1bMY/89rsFgS5wwuMESd3Q2RYgb7EOFOpnu

        w6da7WakWf4IhnF5nsNYGDVaIHzpiqCl+uTbf1epCjrOlIzkZ3Z3Yk5CM/TiFzPk

        z2lLz89cpD8U+NtCsfagWWfjd2U3jDapgH+7nQnCEWpROtzaKHG6lA3pXdix5zG8

        eRc6/0IbUSWvfjKxLLPfNeCS2pCL3IeEI5nothEEYdQH6szpLog79xB9dVnJyKJb

        VfxXnseoYqVrRz2VVbUI5Blwm6B40E3eGVfUQWiux54DspyVMMk41Mx7QJ3iynIa

        1N4ZAqVMAEruyXTRTxc9XW0tYhDMA/1GYvz0EmFpm8LzTHA6sFVtPm/ZlNCX6P1X

        zJwrv7DSQKD6GGlBQUX+OeEJ8tTkkf8QTJSPUdh8P8YxDFS5EOGAvhhpMBYD42kQ

        pqXjEC+XcycTvGI7impgv9PDY1RCC1zkBjKPa120rNhv/hkVk/YhuGoajoHyy4h7

        ZQopdcMtpN2dgmhEegny9JCSwxfQmQ0zK0g7m6SHiKMwjwARAQABiQQ+BBgBCAAJ

        BQJYrdoqAhsCAikJEI2BgDwOv82IwV0gBBkBCAAGBQJYrdoqAAoJEH6gqcPyc/zY

        1WAP/2wJ+R0gE6qsce3rjaIz58PJmc8goKrir5hnElWhPgbq7cYIsW5qiFyLhkdp

        YcMmhD9mRiPpQn6Ya2w3e3B8zfIVKipbMBnke/ytZ9M7qHmDCcjoiSmwEXN3wKYI

        mD9VHONsl/CG1rU9Isw1jtB5g1YxuBA7M/m36XN6x2u+NtNMDB9P56yc4gfsZVES

        KA9v+yY2/l45L8d/WUkUi0YXomn6hyBGI7JrBLq0CX37GEYP6O9rrKipfz73XfO7

        JIGzOKZlljb/D9RX/g7nRbCn+3EtH7xnk+TK/50euEKw8SMUg147sJTcpQmv6UzZ

        cM4JgL0HbHVCojV4C/plELwMddALOFeYQzTif6sMRPf+3DSj8frbInjChC3yOLy0

        6br92KFom17EIj2CAcoeq7UPhi2oouYBwPxh5ytdehJkoo+sN7RIWua6P2WSmon5

        U888cSylXC0+ADFdgLX9K2zrDVYUG1vo8CX0vzxFBaHwN6Px26fhIT1/hYUHQR1z

        VfNDcyQmXqkOnZvvoMfz/Q0s9BhFJ/zU6AgQbIZE/hm1spsfgvtsD1frZfygXJ9f

        irP+MSAI80xHSf91qSRZOj4Pl3ZJNbq4yYxv0b1pkMqeGdjdCYhLU+LZ4wbQmpCk

        SVe2prlLureigXtmZfkqevRz7FrIZiu9ky8wnCAPwC7/zmS18rgP/17bOtL4/iIz

        QhxAAoAMWVrGyJivSkjhSGx1uCojsWfsTAm11P7jsruIL61ZzMUVE2aM3Pmj5G+W

        9AcZ58Em+1WsVnAXdUR//bMmhyr8wL/G1YO1V3JEJTRdxsSxdYa4deGBBY/Adpsw

        24jxhOJR+lsJpqIUeb999+R8euDhRHG9eFO7DRu6weatUJ6suupoDTRWtr/4yGqe

        dKxV3qQhNLSnaAzqW/1nA3iUB4k7kCaKZxhdhDbClf9P37qaRW467BLCVO/coL3y

        Vm50dwdrNtKpMBh3ZpbB1uJvgi9mXtyBOMJ3v8RZeDzFiG8HdCtg9RvIt/AIFoHR

        H3S+U79NT6i0KPzLImDfs8T7RlpyuMc4Ufs8ggyg9v3Ae6cN3eQyxcK3w0cbBwsh

        /nQNfsA6uu+9H7NhbehBMhYnpNZyrHzCmzyXkauwRAqoCbGCNykTRwsur9gS41TQ

        M8ssD1jFheOJf3hODnkKU+HKjvMROl1DK7zdmLdNzA1cvtZH/nCC9KPj1z8QC47S

        xx+dTZSx4ONAhwbS/LN3PoKtn8LPjY9NP9uDWI+TWYquS2U+KHDrBDlsgozDbs/O

        jCxcpDzNmXpWQHEtHU7649OXHP7UeNST1mCUCH5qdank0V1iejF6/CfTFU4MfcrG

        YT90qFF93M3v01BbxP+EIY2/9tiIPbrd

        =0YYh

        -----END PGP PUBLIC KEY BLOCK-----

        '
    headers:
      Age:
      - '96714'
      Connection:
      - keep-alive
      Content-Length:
      - '3817'
      Content-Type:
      - binary/octet-stream
      Date:
      - Sat, 15 May 2021 01:45:57 GMT
      ETag:
      - '"1afae06b34a13c1b3d9cb61a26285a15"'
      Last-Modified:
      - Tue, 28 Jul 2020 11:56:14 GMT
      Server:
      - AmazonS3
      Via:
      - 1.1 01e7df96c01c9ecdb1cce1b6595ae261.cloudfront.net (CloudFront)
      X-Amz-Cf-Id:
      - pCKEYgSGRXnZoy2MiXqWVUURHzxa4Qg_y5Jq2RvxwhwNDCMRbSBYNw==
      X-Amz-Cf-Pop:
      - CDG53-C1
      X-Cache:
      - Hit from cloudfront
    status:
      code: 200
      message: OK
- request:
    body: !!python/object/new:_io.BytesIO
      state: !!python/tuple
      - !!binary |
[encoded data, 5695 characters]
      - 0
      - null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Basic cGVyc29uYWwtYWNjZXNzLXRva2VuOmd5U25rdXpMQnppeXhkU0JITkJ5
      Connection:
      - keep-alive
      Content-Length:
      - '3817'
      User-Agent:
      - python-requests/2.25.1
    method: PUT
    uri: http://127.0.0.1:3000/api/v4/projects/test%2Ftest_from_raw/packages/generic/unknown/0/gpg
  response:
    body:
      string: '{"message":"201 Created"}'
    headers:
      Cache-Control:
      - max-age=0, private, must-revalidate
      Content-Length:
      - '25'
      Content-Type:
      - application/json
      Date:
      - Sat, 15 May 2021 20:40:59 GMT
      Etag:
      - W/"6025f9a740871d09d0230776e3dbc7bf"
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Gitlab-Feature-Category:
      - package_registry
      X-Request-Id:
      - 01F5RW5EWSDPAWX3B6HA4W34ZS
      X-Runtime:
      - '0.680408'
    status:
      code: 201
      message: Created
version: 1
